---
layout: commands
page_title: 'Commands: Peering Exported Services'
description: |
  The `consul peering exported-services` command outputs a list of services exported to a cluster peer.
---

# Consul Peering Exported Services

Command: `consul peering exported-services`

Corresponding HTTP API Endpoint: [\[GET\] /v1/peering/:name](/consul/api-docs/peering#read-a-peering-connection)

The `peering exported-services` command displays all of the services that were exported to the cluster peer using an [`exported-services` configuration entry](/consul/docs/reference/config-entry/exported-services).

The table below shows this command's [required ACLs](/consul/api-docs/api-structure#authentication).

| ACL Required |
| ------------ |
| `peering:read`  |

## Usage

Usage: `consul peering exported-services [options] -name <peer name>`

#### Command Options

- `-name=<string>` - (Required) The name of the peer associated with a connection.

- `-format={pretty|json}` - Command output format. The default value is `pretty`.

#### Enterprise Options

@include 'legacy/cli-http-api-partition-options.mdx'

#### API Options

@include 'legacy/http_api_options_client.mdx'

## Examples

The following example outputs the exported services to a peering connection locally referred to as "cluster-02":

```shell-session hideClipboard
$ consul peering exported-services -name cluster-02
backend
frontend
web
```

